package com.ozs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.MonitorSystem;
import com.ozs.entity.VehiclePosition;
import com.ozs.entity.vo.MonitorSystemVo;

import java.util.List;
import java.util.Map;

/**
 * @author wyy
 * @subject
 * @creat 2023/7/25
 */
public interface MonitorSystemService extends IService<MonitorSystem> {
    /**
     * 新增监测系统信息
     *
     * @param monitorSystem 监测系统信息
     * @return 结果
     */
    public int insertMonitorSystem(MonitorSystem monitorSystem);

    /**
     * 批量删除监测系统
     *
     * @param ids 需要监测系统ID
     * @return 结果
     */
    public void deleteByIds(Long[] ids);

    /**
     * 修改监测系统信息
     *
     * @param monitorSystem 监测系统信息
     * @return 结果
     */
    public int updateMonitorSystem(MonitorSystem monitorSystem);

    /**
     * 校验客户端编号是否唯一
     *
     * @param monitorSystem 监测系统
     * @return 结果
     */
    public String checkClientIdUnique(MonitorSystem monitorSystem);

    /**
     * 查询系统是否在线
     *
     * @param monitorSystem 监测系统
     * @return 结果
     */
    public String checkSystemOnline(MonitorSystem monitorSystem);

    /**
     * 根据id查询
     *
     * @param id 监测系统id
     * @return 结果
     */
    MonitorSystem getMonitorSystem(Long id);

    /**
     * 分页
     *
     * @param monitorSystemVo 监测系统vo
     * @return 结果
     */
    IPage<MonitorSystemVo> pageList(MonitorSystemVo monitorSystemVo);

    MonitorSystem selectByClientId(String clientId);

    Map<String, Object> monitorSystem();

     IPage listToPage(List list, int pageNum, int pageSize);

    List<MonitorSystem> monitorSystemPage(MonitorSystemVo monitorSystemVo);
}
